Package org.eclipse.remote.ui.widgets

# Class RemoteDirectoryWidget

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.remote.ui.widgets.RemoteDirectoryWidget

All Implemented Interfaces:
  `org.eclipse.swt.graphics.Drawable`

public class RemoteDirectoryWidget extends org.eclipse.swt.widgets.Composite
Widget to allow the user to select a remote directory. Provides a "Browse" button that uses the currently specified connection and a "Restore Default" button to revert to the initial setting. If title is supplied then the widget will be placed in a group. The browse message can be modified using `setBrowseMessage(String)`

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Composite

`embeddedHandle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`handle`

## Constructor Summary

Constructors
Constructor
Description
`RemoteDirectoryWidget(org.eclipse.swt.widgets.Composite parent, int style, String title, String defaultPath)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addModifyListener(org.eclipse.swt.events.ModifyListener listener)`
Add a listener that will be notified when the directory path is modified.
`String`
`getLocationPath()`
Get the directory location path.
`void`
`removeModifyListener(org.eclipse.swt.events.ModifyListener listener)`
Remove a listener that will be notified when the directory path is modified.
`void`
`setBrowseMessage(String message)`
Set the message that will be displayed in the remote directory browser dialog.
`void`
`setConnection(IRemoteConnection conn)`
Set the remote connection to use for browsing for the remote directory.
`void`
`setLocationPath(String path)`
Set the initial remote location that will be displayed in the widget.

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isAutoScalable, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteDirectoryWidget

public RemoteDirectoryWidget(org.eclipse.swt.widgets.Composite parent, int style, String title, String defaultPath)

## Method Details

### addModifyListener

public void addModifyListener(org.eclipse.swt.events.ModifyListener listener)
Add a listener that will be notified when the directory path is modified.

Parameters:
  `listener` - listener to add

### getLocationPath

public String getLocationPath()
Get the directory location path. This path will be relative to the remote machine.

Returns:
  directory location path

### removeModifyListener

public void removeModifyListener(org.eclipse.swt.events.ModifyListener listener)
Remove a listener that will be notified when the directory path is modified.

Parameters:
  `listener` - listener to remove

### setBrowseMessage

public void setBrowseMessage(String message)
Set the message that will be displayed in the remote directory browser dialog.

Parameters:
  `message` - message to be displayed

### setConnection

public void setConnection(IRemoteConnection conn)
Set the remote connection to use for browsing for the remote directory. The connection type must provide the IRemoteUIConnectionService and IRemoteUIFileService services and the connection must support the IRemoteFileService service. If any of these conditions are not met, this method will do nothing.

Parameters:
  `conn` - remote connection
Since:
  4.0

### setLocationPath

public void setLocationPath(String path)
Set the initial remote location that will be displayed in the widget.

Parameters:
  `path` -